#!/usr/bin/perl
# -----------------------------------------------------------------------------
#   ident "@(#)soladd.pl 1.4 04/09/22 SMI"
# -----------------------------------------------------------------------------
#
#  Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
# -----------------------------------------------------------------------------

package SOLADD;

use strict;
use variables;

require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";


#------------------------------------------------------------------------------
#
# installation of additional Solaris packages and patches
#
#------------------------------------------------------------------------------

sub men_soladd {

  ($NODE_ID) = @_;

  COMMON::print_stage_node("Solaris complement installation") ;
  COMPONENT::install_men_component($NODE_ID, "SOLARIS_ON_SOLARIS", "");
  COMPONENT::install_men_component($NODE_ID, "SOLARIS_ON_NHAS", "");
}
  
#------------------------------------------------------------------------------
#
# recovery on failure
#
#------------------------------------------------------------------------------

sub recovery_men_soladd {

  ($NODE_ID) = @_;

  COMMON::print_recovery_node("Solaris complement clean-up") ;
  COMPONENT::remove_men_component($NODE_ID, "SOLARIS_ON_NHAS") ;
  COMPONENT::remove_men_component($NODE_ID, "SOLARIS_ON_SOLARIS") ;
}

#------------------------------------------------------------------------------
#
# installation of additional Solaris packages and patches
#
#------------------------------------------------------------------------------

sub dataless_soladd {

  ($NODE_ID) = @_;

  COMMON::print_stage_node("Solaris complement installation for dataless") ;
  COMPONENT::install_dataless_component($NODE_ID, "SOLARIS_ON_SOLARIS", "");
  COMPONENT::install_dataless_component($NODE_ID, "SOLARIS_ON_NHAS", "");
}
  
#------------------------------------------------------------------------------
#
# recovery on failure
#
#------------------------------------------------------------------------------

sub recovery_dataless_soladd {

  ($NODE_ID) = @_;

  COMMON::print_recovery_node("Solaris complement clean-up for dataless") ;
  COMPONENT::remove_dataless_component($NODE_ID, "SOLARIS_ON_NHAS") ;
  COMPONENT::remove_dataless_component($NODE_ID, "SOLARIS_ON_SOLARIS") ;
}

#------------------------------------------------------------------------------
#
# installation of SOLARIS packages and patches
#
#------------------------------------------------------------------------------

sub diskless_soladd {

  ($NODE_ID) = @_;


  COMMON::print_stage_node("Solaris complement installation for diskless") ;
  COMPONENT::install_diskless_component($NODE_ID, "SOLARIS_ON_SOLARIS", "");  
  COMPONENT::install_diskless_component($NODE_ID, "SOLARIS_ON_NHAS", "");  
}

#------------------------------------------------------------------------------
#
# recovery after failure
#
#------------------------------------------------------------------------------

sub recovery_diskless_soladd {

  ($NODE_ID) = @_;

  COMMON::print_recovery_node("Solaris complement clean-up for diskless") ;
  COMPONENT::remove_diskless_component($NODE_ID, "SOLARIS_ON_NHAS");  
  COMPONENT::remove_diskless_component($NODE_ID, "SOLARIS_ON_SOLARIS");  

}

{
}
